> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyent.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List nodes



## OpenAPI

````yaml api-reference/openapi.yaml get /nodes
openapi: 3.1.0
info:
  title: Ravel API
  version: 1.0.0
servers: []
security: []
paths:
  /nodes:
    get:
      tags:
        - Nodes
      summary: List nodes
      operationId: listNodes
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Node'
                type:
                  - array
                  - 'null'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RavelError'
          description: Error
components:
  schemas:
    Node:
      additionalProperties: false
      properties:
        address:
          type: string
        heartbeated_at:
          format: date-time
          type: string
        id:
          type: string
        region:
          type: string
      required:
        - id
        - address
        - region
        - heartbeated_at
      type: object
    RavelError:
      additionalProperties: false
      properties:
        code:
          type: string
        detail:
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        status:
          format: int64
          type: integer
        title:
          type: string
      required:
        - code
        - status
        - title
        - detail
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````